Summary:	ROSA Media Player Plugin
Name:		rosa-media-player-plugin
Version:        1.6
Release:	3
URL:		https://abf.rosalinux.ru/import/rosa-media-player-plugin
License:        GPL 3+
Group:		Video
Source:		%{name}-%{version}.tar.gz
BuildRequires:	qt4-devel
BuildRequires:	qt4-linguist
Requires:	mplayer

%if %{_use_internal_dependency_generator}
%define __noautoreq 'devel\\((.*)\\)'
%else
%define _requires_exceptions devel(
%endif

%description
ROSA Media Player Plugin is designed to use with internet browsers 
like Firefox and Chrome/Chromium.

%prep
%setup -c

%build
mkdir build
cd build
qmake ../rosa-media-player-plugin.pro
%make
lrelease ../rosa-media-player-plugin.pro

%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/mozilla/plugins/
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/mozilla/plugins/translations/
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/rosa-media-player-plugin/translations/

echo $PWD
cd build
cp -f rosamp-plugin/build/librosa-media-player-plugin-smp.so $RPM_BUILD_ROOT/%{_libdir}/mozilla/plugins/
cp -f rosamp-plugin/build/librosa-media-player-plugin-dvx.so $RPM_BUILD_ROOT/%{_libdir}/mozilla/plugins/
cp -f rosamp-plugin/build/librosa-media-player-plugin-qt.so $RPM_BUILD_ROOT/%{_libdir}/mozilla/plugins/
cp -f rosamp-plugin/build/librosa-media-player-plugin-rm.so $RPM_BUILD_ROOT/%{_libdir}/mozilla/plugins/
cp -f rosamp-plugin/build/librosa-media-player-plugin-wmp.so $RPM_BUILD_ROOT/%{_libdir}/mozilla/plugins/
cp -f romp/rosa-media-player/build/librosampcore.so.1.0.0 $RPM_BUILD_ROOT/%{_libdir}/

cp -f ../translations/*.qm $RPM_BUILD_ROOT/%{_datadir}/rosa-media-player-plugin/translations/
cd romp/rosa-media-player/build/
ln -s librosampcore.so.1.0.0 $RPM_BUILD_ROOT/%{_libdir}/librosampcore.so.1.0
ln -s librosampcore.so.1.0.0 $RPM_BUILD_ROOT/%{_libdir}/librosampcore.so.1
ln -s librosampcore.so.1.0.0 $RPM_BUILD_ROOT/%{_libdir}/librosampcore.so


%files
%{_libdir}/mozilla/plugins/librosa-media-player-plugin-*
%{_libdir}/librosampcore*
%{_datadir}/rosa-media-player-plugin/translations/rosamp_plugin*

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.6-3
+ Revision: 5e4dedc
- MassBuild#440: Increase release tag


